summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2016-10-29 10:43:59 -0400
committerMike Gilbert <floppym@gentoo.org>2016-10-29 10:44:22 -0400
commitc64207652232481f43135183d502f8d76bd5771b (patch)
tree0b25151f1b53478fc8000b117c49dfb9eb3a8baf /gnome-extra/cinnamon
parentdev-ruby/wirble: Add ruby23 (diff)
downloadgentoo-c64207652232481f43135183d502f8d76bd5771b.tar.gz
gentoo-c64207652232481f43135183d502f8d76bd5771b.tar.bz2
gentoo-c64207652232481f43135183d502f8d76bd5771b.zip
gnome-extra/cinnamon: fixup REQUIRED_USE
Generate python_targets flags using python_gen_useflags. We don't need PYTHON_REQUIRED_USE since we generate a more strict set of flags anyway. Package-Manager: portage-2.3.2
Diffstat (limited to 'gnome-extra/cinnamon')
-rw-r--r--gnome-extra/cinnamon/cinnamon-2.8.8.ebuild6
-rw-r--r--gnome-extra/cinnamon/cinnamon-3.0.6.ebuild6
-rw-r--r--gnome-extra/cinnamon/cinnamon-3.0.7-r1.ebuild6
-rw-r--r--gnome-extra/cinnamon/cinnamon-3.0.7.ebuild6
4 files changed, 12 insertions, 12 deletions
diff --git a/gnome-extra/cinnamon/cinnamon-2.8.8.ebuild b/gnome-extra/cinnamon/cinnamon-2.8.8.ebuild
index 4a341c8c731..6926d9fcd3b 100644
--- a/gnome-extra/cinnamon/cinnamon-2.8.8.ebuild
+++ b/gnome-extra/cinnamon/cinnamon-2.8.8.ebuild
@@ -24,9 +24,9 @@ SLOT="0"
IUSE="+nls +networkmanager" #+bluetooth
# We need *both* python 2.7 and 3.x
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- python_targets_python2_7
- || ( python_targets_python3_4 python_targets_python3_5 )
+REQUIRED_USE="
+ $(python_gen_useflags 'python2*')
+ || ( $(python_gen_useflags 'python3*') )
"
KEYWORDS="amd64 x86"
diff --git a/gnome-extra/cinnamon/cinnamon-3.0.6.ebuild b/gnome-extra/cinnamon/cinnamon-3.0.6.ebuild
index c7b8dbffa66..436d7720236 100644
--- a/gnome-extra/cinnamon/cinnamon-3.0.6.ebuild
+++ b/gnome-extra/cinnamon/cinnamon-3.0.6.ebuild
@@ -24,9 +24,9 @@ SLOT="0"
IUSE="+nls +networkmanager" #+bluetooth
# We need *both* python 2.7 and 3.x
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- python_targets_python2_7
- || ( python_targets_python3_4 python_targets_python3_5 )
+REQUIRED_USE="
+ $(python_gen_useflags 'python2*')
+ || ( $(python_gen_useflags 'python3*') )
"
KEYWORDS="~amd64 ~x86"
diff --git a/gnome-extra/cinnamon/cinnamon-3.0.7-r1.ebuild b/gnome-extra/cinnamon/cinnamon-3.0.7-r1.ebuild
index db72f0097c9..374b93ae920 100644
--- a/gnome-extra/cinnamon/cinnamon-3.0.7-r1.ebuild
+++ b/gnome-extra/cinnamon/cinnamon-3.0.7-r1.ebuild
@@ -24,9 +24,9 @@ SLOT="0"
IUSE="+nls +networkmanager" #+bluetooth
# We need *both* python 2.7 and 3.x
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- python_targets_python2_7
- || ( python_targets_python3_4 python_targets_python3_5 )
+REQUIRED_USE="
+ $(python_gen_useflags 'python2*')
+ || ( $(python_gen_useflags 'python3*') )
"
KEYWORDS="~amd64 ~x86"
diff --git a/gnome-extra/cinnamon/cinnamon-3.0.7.ebuild b/gnome-extra/cinnamon/cinnamon-3.0.7.ebuild
index dc5672e4405..0d4b6622ba6 100644
--- a/gnome-extra/cinnamon/cinnamon-3.0.7.ebuild
+++ b/gnome-extra/cinnamon/cinnamon-3.0.7.ebuild
@@ -24,9 +24,9 @@ SLOT="0"
IUSE="+nls +networkmanager" #+bluetooth
# We need *both* python 2.7 and 3.x
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- python_targets_python2_7
- || ( python_targets_python3_4 python_targets_python3_5 )
+REQUIRED_USE="
+ $(python_gen_useflags 'python2*')
+ || ( $(python_gen_useflags 'python3*') )
"
KEYWORDS="amd64 x86"